diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-options.h ns-3.44/src/dsr/model/dsr-options.h
--- ns-3.43/src/dsr/model/dsr-options.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-options.h	2025-03-09 16:55:49.371371000 -0700
@@ -65,157 +65,157 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptions();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptions() override;
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     virtual uint8_t GetOptionNumber() const = 0;
     /**
-     * \brief Set the node.
-     * \param node the node to set
+     * @brief Set the node.
+     * @param node the node to set
      */
     void SetNode(Ptr<Node> node);
     /**
-     * \brief Get the node.
-     * \return the node
+     * @brief Get the node.
+     * @return the node
      */
     Ptr<Node> GetNode() const;
     /**
-     * \brief Search for the ipv4 address in the node list.
+     * @brief Search for the ipv4 address in the node list.
      *
-     * \param ipv4Address IPv4 address to search for
-     * \param destAddress IPv4 address in the list that we begin the search
-     * \param nodeList List of IPv4 addresses
-     * \return true if contain ip address
+     * @param ipv4Address IPv4 address to search for
+     * @param destAddress IPv4 address in the list that we begin the search
+     * @param nodeList List of IPv4 addresses
+     * @return true if contain ip address
      */
     bool ContainAddressAfter(Ipv4Address ipv4Address,
                              Ipv4Address destAddress,
                              std::vector<Ipv4Address>& nodeList);
     /**
-     * \brief Cut the route from ipv4Address to the end of the route vector
+     * @brief Cut the route from ipv4Address to the end of the route vector
      *
-     * \param ipv4Address the address to begin cutting
-     * \param nodeList List of IPv4 addresses
-     * \return the vector after the route cut
+     * @param ipv4Address the address to begin cutting
+     * @param nodeList List of IPv4 addresses
+     * @return the vector after the route cut
      */
     std::vector<Ipv4Address> CutRoute(Ipv4Address ipv4Address, std::vector<Ipv4Address>& nodeList);
     /**
-     * \brief Set the route to use for data packets,
+     * @brief Set the route to use for data packets,
      *        used by the option headers when sending data/control packets
      *
-     * \param nextHop IPv4 address of the next hop
-     * \param srcAddress IPv4 address of the source
-     * \return the route
+     * @param nextHop IPv4 address of the next hop
+     * @param srcAddress IPv4 address of the source
+     * @return the route
      */
     virtual Ptr<Ipv4Route> SetRoute(Ipv4Address nextHop, Ipv4Address srcAddress);
     /**
-     * \brief Reverse the routes.
+     * @brief Reverse the routes.
      *
-     * \param vec List of IPv4 addresses
-     * \return true if successfully reversed
+     * @param vec List of IPv4 addresses
+     * @return true if successfully reversed
      */
     bool ReverseRoutes(std::vector<Ipv4Address>& vec);
     /**
-     * \brief Search for the next hop in the route
+     * @brief Search for the next hop in the route
      *
-     * \param ipv4Address the IPv4 address of the node we are looking for its next hop address
-     * \param vec List of IPv4 addresses
-     * \return the next hop address if found
+     * @param ipv4Address the IPv4 address of the node we are looking for its next hop address
+     * @param vec List of IPv4 addresses
+     * @return the next hop address if found
      */
     Ipv4Address SearchNextHop(Ipv4Address ipv4Address, std::vector<Ipv4Address>& vec);
     /**
-     * \brief Reverse search for the next hop in the route
+     * @brief Reverse search for the next hop in the route
      *
-     * \param ipv4Address the IPv4 address of the node we are looking for its next hop address
-     * \param vec List of IPv4 addresses
-     * \return the previous next hop address if found
+     * @param ipv4Address the IPv4 address of the node we are looking for its next hop address
+     * @param vec List of IPv4 addresses
+     * @return the previous next hop address if found
      */
     Ipv4Address ReverseSearchNextHop(Ipv4Address ipv4Address, std::vector<Ipv4Address>& vec);
     /**
-     * \brief Reverse search for the next two hop in the route
+     * @brief Reverse search for the next two hop in the route
      *
-     * \param ipv4Address the IPv4 address of the node we are looking for its next two hop address
-     * \param vec List of IPv4 addresses
-     * \return the previous next two hop address if found
+     * @param ipv4Address the IPv4 address of the node we are looking for its next two hop address
+     * @param vec List of IPv4 addresses
+     * @return the previous next two hop address if found
      */
     Ipv4Address ReverseSearchNextTwoHop(Ipv4Address ipv4Address, std::vector<Ipv4Address>& vec);
     /**
-     * \brief Print out the elements in the route vector
-     * \param vec The route vector to print.
+     * @brief Print out the elements in the route vector
+     * @param vec The route vector to print.
      */
     void PrintVector(std::vector<Ipv4Address>& vec);
     /**
-     * \brief Check if the two vectors contain duplicate or not
+     * @brief Check if the two vectors contain duplicate or not
      *
-     * \param vec the first list of IPv4 addresses
-     * \param vec2 the second list of IPv4 addresses
-     * \return true if contains duplicate
+     * @param vec the first list of IPv4 addresses
+     * @param vec2 the second list of IPv4 addresses
+     * @return true if contains duplicate
      */
     bool IfDuplicates(std::vector<Ipv4Address>& vec, std::vector<Ipv4Address>& vec2);
     /**
-     * \brief Check if the route already contains the node ip address
+     * @brief Check if the route already contains the node ip address
      *
-     * \param ipv4Address the IPv4 address that we are looking for
-     * \param vec List of IPv4 addresses
-     * \return true if it already exists
+     * @param ipv4Address the IPv4 address that we are looking for
+     * @param vec List of IPv4 addresses
+     * @return true if it already exists
      */
     bool CheckDuplicates(Ipv4Address ipv4Address, std::vector<Ipv4Address>& vec);
     /**
-     * \brief Remove the duplicates from the route
+     * @brief Remove the duplicates from the route
      *
-     * \param [in,out] vec List of IPv4 addresses to clean
+     * @param [in,out] vec List of IPv4 addresses to clean
      */
     void RemoveDuplicates(std::vector<Ipv4Address>& vec);
     /**
-     * \brief Schedule the intermediate node route request broadcast
-     * \param packet the original packet
-     * \param nodeList The list of IPv4 addresses
-     * \param source address
-     * \param destination address
+     * @brief Schedule the intermediate node route request broadcast
+     * @param packet the original packet
+     * @param nodeList The list of IPv4 addresses
+     * @param source address
+     * @param destination address
      */
     void ScheduleReply(Ptr<Packet>& packet,
                        std::vector<Ipv4Address>& nodeList,
                        Ipv4Address& source,
                        Ipv4Address& destination);
     /**
-     * \brief Get the node id with Ipv4Address
+     * @brief Get the node id with Ipv4Address
      *
-     * \param address IPv4 address to look for ID
-     * \return the id of the node
+     * @param address IPv4 address to look for ID
+     * @return the id of the node
      */
     uint32_t GetIDfromIP(Ipv4Address address);
     /**
-     * \brief Get the node object with Ipv4Address
+     * @brief Get the node object with Ipv4Address
      *
-     * \param ipv4Address IPv4 address of the node
-     * \return the object of the node
+     * @param ipv4Address IPv4 address of the node
+     * @return the object of the node
      */
     Ptr<Node> GetNodeWithAddress(Ipv4Address ipv4Address);
     /**
-     * \brief Process method
+     * @brief Process method
      *
      * Called from DsrRouting::Receive.
-     * \param packet the packet
-     * \param dsrP  the clean packet with payload
-     * \param ipv4Address the IPv4 address
-     * \param source IPv4 address of the source
-     * \param ipv4Header the IPv4 header of packet received
-     * \param protocol the protocol number of the up layer
-     * \param isPromisc if the packet must be dropped
-     * \param promiscSource IPv4 address
-     * \return the processed size
+     * @param packet the packet
+     * @param dsrP  the clean packet with payload
+     * @param ipv4Address the IPv4 address
+     * @param source IPv4 address of the source
+     * @param ipv4Header the IPv4 header of packet received
+     * @param protocol the protocol number of the up layer
+     * @param isPromisc if the packet must be dropped
+     * @param promiscSource IPv4 address
+     * @return the processed size
      */
     virtual uint8_t Process(Ptr<Packet> packet,
                             Ptr<Packet> dsrP,
@@ -228,39 +228,39 @@
 
   protected:
     /**
-     * \brief Drop trace callback.
+     * @brief Drop trace callback.
      */
     TracedCallback<Ptr<const Packet>> m_dropTrace;
     /**
-     * \brief The broadcast IP address.
+     * @brief The broadcast IP address.
      */
     Ipv4Address Broadcast;
     /**
-     * \brief The route request table.
+     * @brief The route request table.
      */
     Ptr<dsr::DsrRreqTable> m_rreqTable;
     /**
-     * \brief The route cache table.
+     * @brief The route cache table.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ipv4 route.
+     * @brief The ipv4 route.
      */
     Ptr<Ipv4Route> m_ipv4Route;
     /**
-     * \brief The ipv4.
+     * @brief The ipv4.
      */
     Ptr<Ipv4> m_ipv4;
     /**
-     * \brief The vector of Ipv4 address.
+     * @brief The vector of Ipv4 address.
      */
     std::vector<Ipv4Address> m_ipv4Address;
     /**
-     * \brief The vector of final Ipv4 address.
+     * @brief The vector of final Ipv4 address.
      */
     std::vector<Ipv4Address> m_finalRoute;
     /**
-     * \brief The active route timeout value.
+     * @brief The active route timeout value.
      */
     Time ActiveRouteTimeout;
     /**
@@ -273,20 +273,20 @@
 };
 
 /**
- * \class DsrOptionPad1
- * \brief Dsr Option Pad1
+ * @class DsrOptionPad1
+ * @brief Dsr Option Pad1
  */
 class DsrOptionPad1 : public DsrOptions
 {
   public:
     /**
-     * \brief Pad1 option number.
+     * @brief Pad1 option number.
      */
     static const uint8_t OPT_NUMBER = 224;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -305,20 +305,20 @@
 };
 
 /**
- * \class DsrOptionPadn
- * \brief IPv4 Option Padn
+ * @class DsrOptionPadn
+ * @brief IPv4 Option Padn
  */
 class DsrOptionPadn : public DsrOptions
 {
   public:
     /**
-     * \brief PadN option number.
+     * @brief PadN option number.
      */
     static const uint8_t OPT_NUMBER = 0;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -337,33 +337,33 @@
 };
 
 /**
- * \class DsrOptionRreq
- * \brief Dsr Option Rreq
+ * @class DsrOptionRreq
+ * @brief Dsr Option Rreq
  */
 class DsrOptionRreq : public DsrOptions
 {
   public:
     /**
-     * \brief Rreq option number.
+     * @brief Rreq option number.
      */
     static const uint8_t OPT_NUMBER = 1;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRreq();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRreq() override;
 
@@ -379,35 +379,35 @@
 
   private:
     /**
-     * \brief The route cache.
+     * @brief The route cache.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ipv4.
+     * @brief The ipv4.
      */
     Ptr<Ipv4> m_ipv4;
 };
 
 /**
- * \class DsrOptionRrep
- * \brief Dsr Option Route Reply
+ * @class DsrOptionRrep
+ * @brief Dsr Option Route Reply
  */
 class DsrOptionRrep : public DsrOptions
 {
   public:
     /**
-     * \brief Router alert option number.
+     * @brief Router alert option number.
      */
     static const uint8_t OPT_NUMBER = 2;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -426,35 +426,35 @@
 
   private:
     /**
-     * \brief The route cache.
+     * @brief The route cache.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ip layer 3.
+     * @brief The ip layer 3.
      */
     Ptr<Ipv4> m_ipv4;
 };
 
 /**
- * \class DsrOptionSR
- * \brief Dsr Option Source Route
+ * @class DsrOptionSR
+ * @brief Dsr Option Source Route
  */
 class DsrOptionSR : public DsrOptions
 {
   public:
     /**
-     * \brief Source Route option number.
+     * @brief Source Route option number.
      */
     static const uint8_t OPT_NUMBER = 96;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -473,31 +473,31 @@
 
   private:
     /**
-     * \brief The ip layer 3.
+     * @brief The ip layer 3.
      */
     Ptr<Ipv4> m_ipv4;
 };
 
 /**
- * \class DsrOptionRerr
- * \brief Dsr Option Route Error
+ * @class DsrOptionRerr
+ * @brief Dsr Option Route Error
  */
 class DsrOptionRerr : public DsrOptions
 {
   public:
     /**
-     * \brief Dsr Route Error option number.
+     * @brief Dsr Route Error option number.
      */
     static const uint8_t OPT_NUMBER = 3;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -514,14 +514,14 @@
                     bool& isPromisc,
                     Ipv4Address promiscSource) override;
     /**
-     * \brief Do Send error message
+     * @brief Do Send error message
      *
-     * \param p the packet
-     * \param rerr  the DsrOptionRerrUnreachHeader header
-     * \param rerrSize the route error header size
-     * \param ipv4Address ipv4 address of our own
-     * \param protocol the protocol number of the up layer
-     * \return the processed size
+     * @param p the packet
+     * @param rerr  the DsrOptionRerrUnreachHeader header
+     * @param rerrSize the route error header size
+     * @param ipv4Address ipv4 address of our own
+     * @param protocol the protocol number of the up layer
+     * @return the processed size
      */
     uint8_t DoSendError(Ptr<Packet> p,
                         DsrOptionRerrUnreachHeader& rerr,
@@ -531,35 +531,35 @@
 
   private:
     /**
-     * \brief The route cache.
+     * @brief The route cache.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ipv4 layer 3.
+     * @brief The ipv4 layer 3.
      */
     Ptr<Ipv4> m_ipv4;
 };
 
 /**
- * \class DsrOptionAckReq
- * \brief Dsr Option
+ * @class DsrOptionAckReq
+ * @brief Dsr Option
  */
 class DsrOptionAckReq : public DsrOptions
 {
   public:
     /**
-     * \brief Dsr ack request option number.
+     * @brief Dsr ack request option number.
      */
     static const uint8_t OPT_NUMBER = 160;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -578,35 +578,35 @@
 
   private:
     /**
-     * \brief The route cache.
+     * @brief The route cache.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ipv4 layer 3.
+     * @brief The ipv4 layer 3.
      */
     Ptr<Ipv4> m_ipv4;
 };
 
 /**
- * \class DsrOptionAck
- * \brief Dsr Option Ack
+ * @class DsrOptionAck
+ * @brief Dsr Option Ack
  */
 class DsrOptionAck : public DsrOptions
 {
   public:
     /**
-     * \brief The Dsr Ack option number.
+     * @brief The Dsr Ack option number.
      */
     static const uint8_t OPT_NUMBER = 32;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -625,11 +625,11 @@
 
   private:
     /**
-     * \brief The route cache.
+     * @brief The route cache.
      */
     Ptr<dsr::DsrRouteCache> m_routeCache;
     /**
-     * \brief The ipv4 layer 3.
+     * @brief The ipv4 layer 3.
      */
     Ptr<Ipv4> m_ipv4;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-passive-buff.cc ns-3.44/src/dsr/model/dsr-passive-buff.cc
--- ns-3.43/src/dsr/model/dsr-passive-buff.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-passive-buff.cc	2025-03-09 16:55:49.371371000 -0700
@@ -176,13 +176,13 @@
 {
     /**
      * Check for an expired entry
-     * \param e passive buffer entry
-     * \return true if equal
+     * @param e passive buffer entry
+     * @return true if equal
      */
     bool operator()(const DsrPassiveBuffEntry& e) const
     {
         // NS_LOG_DEBUG("Expire time for packet in req queue: "<<e.GetExpireTime ());
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-passive-buff.h ns-3.44/src/dsr/model/dsr-passive-buff.h
--- ns-3.43/src/dsr/model/dsr-passive-buff.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-passive-buff.h	2025-03-09 16:55:49.371371000 -0700
@@ -30,8 +30,8 @@
 namespace dsr
 {
 /**
- * \ingroup dsr
- * \brief DSR Passive Buffer Entry
+ * @ingroup dsr
+ * @brief DSR Passive Buffer Entry
  */
 class DsrPassiveBuffEntry
 {
@@ -39,15 +39,15 @@
     /**
      * Construct a DsrPassiveBuffEntry with the given parameters
      *
-     * \param pa packet
-     * \param d IPv4 address of the destination
-     * \param s IPv4 address of the source
-     * \param n IPv4 address of the next hop node
-     * \param i ID
-     * \param f fragment offset
-     * \param seg number of segments left
-     * \param exp expiration time
-     * \param p protocol number
+     * @param pa packet
+     * @param d IPv4 address of the destination
+     * @param s IPv4 address of the source
+     * @param n IPv4 address of the next hop node
+     * @param i ID
+     * @param f fragment offset
+     * @param seg number of segments left
+     * @param exp expiration time
+     * @param p protocol number
      */
     DsrPassiveBuffEntry(Ptr<const Packet> pa = nullptr,
                         Ipv4Address d = Ipv4Address(),
@@ -72,8 +72,8 @@
 
     /**
      * Compare send buffer entries
-     * \param o passive buffer entry to compare
-     * \return true if equal
+     * @param o passive buffer entry to compare
+     * @return true if equal
      */
     bool operator==(const DsrPassiveBuffEntry& o) const
     {
@@ -84,7 +84,7 @@
     // Fields
     /**
      * Get packet function
-     * \returns the current packet
+     * @returns the current packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -93,7 +93,7 @@
 
     /**
      * Set packet function
-     * \param p the current packet
+     * @param p the current packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -102,7 +102,7 @@
 
     /**
      * Get destination address function
-     * \returns the destination IP address
+     * @returns the destination IP address
      */
     Ipv4Address GetDestination() const
     {
@@ -111,7 +111,7 @@
 
     /**
      * Set destination address function
-     * \param d the destination IP address
+     * @param d the destination IP address
      */
     void SetDestination(Ipv4Address d)
     {
@@ -120,7 +120,7 @@
 
     /**
      * Get source address function
-     * \returns the source IP address
+     * @returns the source IP address
      */
     Ipv4Address GetSource() const
     {
@@ -129,7 +129,7 @@
 
     /**
      * Set surce address function
-     * \param s the source IP address
+     * @param s the source IP address
      */
     void SetSource(Ipv4Address s)
     {
@@ -138,7 +138,7 @@
 
     /**
      * Get next hop address function
-     * \returns the next hop IP address
+     * @returns the next hop IP address
      */
     Ipv4Address GetNextHop() const
     {
@@ -147,7 +147,7 @@
 
     /**
      * Set next hop address function
-     * \param n the next hop address
+     * @param n the next hop address
      */
     void SetNextHop(Ipv4Address n)
     {
@@ -156,7 +156,7 @@
 
     /**
      * Get identification function
-     * \returns the identification
+     * @returns the identification
      */
     uint16_t GetIdentification() const
     {
@@ -165,7 +165,7 @@
 
     /**
      * Set identification function
-     * \param i the identification
+     * @param i the identification
      */
     void SetIdentification(uint16_t i)
     {
@@ -174,7 +174,7 @@
 
     /**
      * Get fragment offset function
-     * \returns the fragment offset
+     * @returns the fragment offset
      */
     uint16_t GetFragmentOffset() const
     {
@@ -183,7 +183,7 @@
 
     /**
      * Set fragment offset function
-     * \param f the fragment offset
+     * @param f the fragment offset
      */
     void SetFragmentOffset(uint16_t f)
     {
@@ -192,7 +192,7 @@
 
     /**
      * Get segments left function
-     * \returns the number of segments left
+     * @returns the number of segments left
      */
     uint8_t GetSegsLeft() const
     {
@@ -201,7 +201,7 @@
 
     /**
      * Set segments left
-     * \param seg the number of segments left
+     * @param seg the number of segments left
      */
     void SetSegsLeft(uint8_t seg)
     {
@@ -210,7 +210,7 @@
 
     /**
      * Set expire time
-     * \param exp the expire time
+     * @param exp the expire time
      */
     void SetExpireTime(Time exp)
     {
@@ -219,7 +219,7 @@
 
     /**
      * Get expire time
-     * \returns the expire time
+     * @returns the expire time
      */
     Time GetExpireTime() const
     {
@@ -228,7 +228,7 @@
 
     /**
      * Set protocol function
-     * \param p the protocol
+     * @param p the protocol
      */
     void SetProtocol(uint8_t p)
     {
@@ -237,7 +237,7 @@
 
     /**
      * Get protocol
-     * \returns the protocol number
+     * @returns the protocol number
      */
     uint8_t GetProtocol() const
     {
@@ -266,17 +266,17 @@
 };
 
 /**
- * \ingroup dsr
- * \class DsrPassiveBuffer
- * \brief DSR passive buffer
+ * @ingroup dsr
+ * @class DsrPassiveBuffer
+ * @brief DSR passive buffer
  */
 /************************************************************************************************************************/
 class DsrPassiveBuffer : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -285,32 +285,32 @@
 
     /// Push entry in queue, if there is no entry with the same packet and destination address in
     /// queue.
-    /// \param entry Buffer Entry
-    /// \return true on success adding the Entry.
+    /// @param entry Buffer Entry
+    /// @return true on success adding the Entry.
     bool Enqueue(DsrPassiveBuffEntry& entry);
     /// Return first found (the earliest) entry for given destination
-    /// \param [in] dst Entry destination
-    /// \param [out] entry The Entry found (if any).
-    /// \return true on success
+    /// @param [in] dst Entry destination
+    /// @param [out] entry The Entry found (if any).
+    /// @return true on success
     bool Dequeue(Ipv4Address dst, DsrPassiveBuffEntry& entry);
     /// Finds whether a packet with destination dst exists in the queue
-    /// \param dst Destination.
-    /// \return true if there is a packet.
+    /// @param dst Destination.
+    /// @return true if there is a packet.
     bool Find(Ipv4Address dst);
     /// Check if all the entries in passive buffer entry is all equal or not
-    /// \note For real this function checks if at most one entry is equal. If it is,
+    /// @note For real this function checks if at most one entry is equal. If it is,
     /// that entry is removed. Further entries are NOT checked. This could be a bug.
-    /// \param entry The Entry to check
-    /// \return true if an Entry was found and removed.
+    /// @param entry The Entry to check
+    /// @return true if an Entry was found and removed.
     bool AllEqual(DsrPassiveBuffEntry& entry);
     /// Number of entries
-    /// \return The number of entries.
+    /// @return The number of entries.
     uint32_t GetSize();
 
     // Fields
     /**
      * Get maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -319,7 +319,7 @@
 
     /**
      * Set maximum queue length
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -328,7 +328,7 @@
 
     /**
      * Get passive buffer timeout
-     * \returns the passive buffer timeout
+     * @returns the passive buffer timeout
      */
     Time GetPassiveBufferTimeout() const
     {
@@ -337,7 +337,7 @@
 
     /**
      * Set passive buffer timeout
-     * \param t the passive buffer timeout
+     * @param t the passive buffer timeout
      */
     void SetPassiveBufferTimeout(Time t)
     {
@@ -350,12 +350,12 @@
     /// Remove all expired entries
     void Purge();
     /// Notify that packet is dropped from queue by timeout
-    /// \param en BuffEntry Buffer entry
-    /// \param reason Drop reason
+    /// @param en BuffEntry Buffer entry
+    /// @param reason Drop reason
     void Drop(DsrPassiveBuffEntry en, std::string reason);
     /// Notify that packet is dropped from queue by timeout
-    /// \param en BuffEntry Buffer entry
-    /// \param reason Drop reason
+    /// @param en BuffEntry Buffer entry
+    /// @param reason Drop reason
     void DropLink(DsrPassiveBuffEntry en, std::string reason);
     /// The maximum number of packets that we allow a routing protocol to buffer.
     uint32_t m_maxLen;
@@ -364,9 +364,9 @@
     Time m_passiveBufferTimeout;
 
     /// Check if the send buffer entry is the same or not
-    /// \param en The Entry to check
-    /// \param link The link to check
-    /// \return true if an Entry source and Next hop are equal to the Link parameters
+    /// @param en The Entry to check
+    /// @param link The link to check
+    /// @return true if an Entry source and Next hop are equal to the Link parameters
     static bool LinkEqual(DsrPassiveBuffEntry en, const std::vector<Ipv4Address> link)
     {
         return ((en.GetSource() == link[0]) && (en.GetNextHop() == link[1]));
